# HG changeset patch
# User Christophe Capon <christophe.capon@vilogia.fr>
# Date 1270091994 -7200
# Branch 5.3.0
# Node ID b193dc341426f5ed53912eb1c958f22bb01db0e0
# Parent  103954fc1f16b4f0792a8495714a3e67c717598b
Added alert utility project
Provides the ability to get localized messages from ftl

diff -r 103954fc1f16 -r b193dc341426 nuxeo-platform-alert-util/src/main/java/org/nuxeo/ecm/alert/util/FreemarkerMethods.java
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/nuxeo-platform-alert-util/src/main/java/org/nuxeo/ecm/alert/util/FreemarkerMethods.java	Thu Apr 01 05:19:54 2010 +0200
@@ -0,0 +1,13 @@
+package org.nuxeo.ecm.alert.util;
+
+import org.nuxeo.ecm.platform.rendering.impl.DefaultRenderingContext;
+
+public class FreemarkerMethods {
+
+    public static void add(DefaultRenderingContext ctx) {
+    
+        ctx.put("message", new GetMessageMethod());
+
+    }
+    
+}
diff -r 103954fc1f16 -r b193dc341426 nuxeo-platform-alert-util/src/main/java/org/nuxeo/ecm/alert/util/GetMessageMethod.java
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/nuxeo-platform-alert-util/src/main/java/org/nuxeo/ecm/alert/util/GetMessageMethod.java	Thu Apr 01 05:19:54 2010 +0200
@@ -0,0 +1,26 @@
+package org.nuxeo.ecm.alert.util;
+
+import java.util.List;
+
+import org.jboss.seam.international.Messages;
+
+import freemarker.template.TemplateMethodModel;
+import freemarker.template.TemplateModelException;
+
+public class GetMessageMethod implements TemplateMethodModel {
+
+    @SuppressWarnings("unchecked")
+    public synchronized String exec(List args) throws TemplateModelException {
+
+        if (args.size() != 1) {
+            throw new TemplateModelException("Wrong arguments");
+        }
+
+        String key = (String) args.get(0);
+        if (Messages.instance().containsKey(key)) {
+            return (String) Messages.instance().get(key);
+        } else {
+            return key;
+        }
+    }
+}
diff -r 103954fc1f16 -r b193dc341426 nuxeo-platform-alert-util/src/main/resources/META-INF/MANIFEST.MF
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/nuxeo-platform-alert-util/src/main/resources/META-INF/MANIFEST.MF	Thu Apr 01 05:19:54 2010 +0200
@@ -0,0 +1,15 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: Nuxeo ECM Alert Core
+Bundle-SymbolicName: org.nuxeo.ecm.alert.util;singleton:=true
+Bundle-Vendor: Nuxeo
+Bundle-Localization: bundle
+Bundle-ClassPath: .
+Bundle-Category: web,stateful
+Export-Package: org.nuxeo.ecm.alert.util
+Eclipse-LazyStart: true
+Require-Bundle: org.nuxeo.ecm.core.api,
+ org.nuxeo.ecm.core.event,
+ org.nuxeo.ecm.platform.notification.core,
+ org.nuxeo.ecm.alert.api
+ 
\ No newline at end of file
